Update Domain Lock Settings
update stream domain setting
curl -X POST "https://api.5centscdn.com/v2/streams/settings/security/domainlock" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"enabled": "N",
"list": "www.domain-two.com",
"policy": "Y",
"ips": "117.251.60.184",
"noreferer": "N",
"mode": "save"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/settings/security/domainlock"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"enabled": "N",
"list": "www.domain-two.com",
"policy": "Y",
"ips": "117.251.60.184",
"noreferer": "N",
"mode": "save"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/settings/security/domainlock", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"enabled": "N",
"list": "www.domain-two.com",
"policy": "Y",
"ips": "117.251.60.184",
"noreferer": "N",
"mode": "save"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"enabled": "N",
"list": "www.domain-two.com",
"policy": "Y",
"ips": "117.251.60.184",
"noreferer": "N",
"mode": "save"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/settings/security/domainlock", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/settings/security/domainlock')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"enabled": "N",
"list": "www.domain-two.com",
"policy": "Y",
"ips": "117.251.60.184",
"noreferer": "N",
"mode": "save"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Stream Settings Updated. Please wait till the deployment completes."
}
/streams/settings/security/domainlock
Target server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
Enable or disable domain lock. Y means enabled, N means disabled.
List of domains separated by comma.
Access policy for domain lock. Y means whitelist (allow listed domain), N means blacklist (block listed domain).
IPs listed are excluded from any restrictions
Block requests with no referrer header. Y means blocked, N means allowed.
Controls how the settings are applied to streams. save — only saves the settings, no changes will be made to existing stream settings. append — appends the values to existing streams data and updates. overwrite — overwrites the existing streams values, replacing them and updates.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Body
Access policy for domain lock. Y means whitelist (allow listed domain), N means blacklist (block listed domain).
YControls how the settings are applied to streams. save — only saves the settings, no changes will be made to existing stream settings. append — appends the values to existing streams data and updates. overwrite — overwrites the existing streams values, replacing them and updates.
saveResponses
Status of the API response.
Human-readable message describing the result.